published on Wednesday, Mar 4, 2026 by Pulumi
published on Wednesday, Mar 4, 2026 by Pulumi
# f5bigip.GtmPool Resource
Provides a BIG-IP GTM (Global Traffic Manager) Pool resource. This resource allows you to configure and manage GTM Pool objects on a BIG-IP system.
Description
A GTM pool is a collection of virtual servers or other pool members that can be distributed across multiple data centers. GTM pools are used by WideIPs to intelligently distribute DNS traffic based on various load balancing algorithms and health monitoring.
GTM Pool types correspond to different DNS record types:
- a: IPv4 address pools
- aaaa: IPv6 address pools
- cname: Canonical name pools
- mx: Mail exchange pools
- naptr: Naming authority pointer pools
- srv: Service locator pools
Example Usage
Basic Pool
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const example = new f5bigip.GtmPool("example", {
name: "my_pool",
type: "a",
partition: "Common",
loadBalancingMode: "round-robin",
monitor: "/Common/https",
});
import pulumi
import pulumi_f5bigip as f5bigip
example = f5bigip.GtmPool("example",
name="my_pool",
type="a",
partition="Common",
load_balancing_mode="round-robin",
monitor="/Common/https")
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmPool(ctx, "example", &f5bigip.GtmPoolArgs{
Name: pulumi.String("my_pool"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
LoadBalancingMode: pulumi.String("round-robin"),
Monitor: pulumi.String("/Common/https"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var example = new F5BigIP.GtmPool("example", new()
{
Name = "my_pool",
Type = "a",
Partition = "Common",
LoadBalancingMode = "round-robin",
Monitor = "/Common/https",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmPool;
import com.pulumi.f5bigip.GtmPoolArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var example = new GtmPool("example", GtmPoolArgs.builder()
.name("my_pool")
.type("a")
.partition("Common")
.loadBalancingMode("round-robin")
.monitor("/Common/https")
.build());
}
}
resources:
example:
type: f5bigip:GtmPool
properties:
name: my_pool
type: a
partition: Common
loadBalancingMode: round-robin
monitor: /Common/https
Pool with Members
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const withMembers = new f5bigip.GtmPool("with_members", {
name: "app_pool",
type: "a",
partition: "Common",
loadBalancingMode: "round-robin",
monitor: "/Common/https",
ttl: 30,
members: [
{
name: "server1:/Common/vs_app",
enabled: true,
ratio: 1,
memberOrder: 0,
},
{
name: "server2:/Common/vs_app",
enabled: true,
ratio: 1,
memberOrder: 1,
},
],
});
import pulumi
import pulumi_f5bigip as f5bigip
with_members = f5bigip.GtmPool("with_members",
name="app_pool",
type="a",
partition="Common",
load_balancing_mode="round-robin",
monitor="/Common/https",
ttl=30,
members=[
{
"name": "server1:/Common/vs_app",
"enabled": True,
"ratio": 1,
"member_order": 0,
},
{
"name": "server2:/Common/vs_app",
"enabled": True,
"ratio": 1,
"member_order": 1,
},
])
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmPool(ctx, "with_members", &f5bigip.GtmPoolArgs{
Name: pulumi.String("app_pool"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
LoadBalancingMode: pulumi.String("round-robin"),
Monitor: pulumi.String("/Common/https"),
Ttl: pulumi.Int(30),
Members: f5bigip.GtmPoolMemberArray{
&f5bigip.GtmPoolMemberArgs{
Name: pulumi.String("server1:/Common/vs_app"),
Enabled: pulumi.Bool(true),
Ratio: pulumi.Int(1),
MemberOrder: pulumi.Int(0),
},
&f5bigip.GtmPoolMemberArgs{
Name: pulumi.String("server2:/Common/vs_app"),
Enabled: pulumi.Bool(true),
Ratio: pulumi.Int(1),
MemberOrder: pulumi.Int(1),
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var withMembers = new F5BigIP.GtmPool("with_members", new()
{
Name = "app_pool",
Type = "a",
Partition = "Common",
LoadBalancingMode = "round-robin",
Monitor = "/Common/https",
Ttl = 30,
Members = new[]
{
new F5BigIP.Inputs.GtmPoolMemberArgs
{
Name = "server1:/Common/vs_app",
Enabled = true,
Ratio = 1,
MemberOrder = 0,
},
new F5BigIP.Inputs.GtmPoolMemberArgs
{
Name = "server2:/Common/vs_app",
Enabled = true,
Ratio = 1,
MemberOrder = 1,
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmPool;
import com.pulumi.f5bigip.GtmPoolArgs;
import com.pulumi.f5bigip.inputs.GtmPoolMemberArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var withMembers = new GtmPool("withMembers", GtmPoolArgs.builder()
.name("app_pool")
.type("a")
.partition("Common")
.loadBalancingMode("round-robin")
.monitor("/Common/https")
.ttl(30)
.members(
GtmPoolMemberArgs.builder()
.name("server1:/Common/vs_app")
.enabled(true)
.ratio(1)
.memberOrder(0)
.build(),
GtmPoolMemberArgs.builder()
.name("server2:/Common/vs_app")
.enabled(true)
.ratio(1)
.memberOrder(1)
.build())
.build());
}
}
resources:
withMembers:
type: f5bigip:GtmPool
name: with_members
properties:
name: app_pool
type: a
partition: Common
loadBalancingMode: round-robin
monitor: /Common/https
ttl: 30
members:
- name: server1:/Common/vs_app
enabled: true
ratio: 1
memberOrder: 0
- name: server2:/Common/vs_app
enabled: true
ratio: 1
memberOrder: 1
Advanced Pool Configuration
import * as pulumi from "@pulumi/pulumi";
import * as f5bigip from "@pulumi/f5bigip";
const advanced = new f5bigip.GtmPool("advanced", {
name: "advanced_pool",
type: "a",
partition: "Common",
loadBalancingMode: "round-robin",
alternateMode: "topology",
fallbackMode: "return-to-dns",
fallbackIp: "192.0.2.1",
maxAnswersReturned: 2,
ttl: 60,
monitor: "/Common/https",
verifyMemberAvailability: "enabled",
qosHitRatio: 10,
qosHops: 5,
qosKilobytesSecond: 5,
qosLcs: 50,
qosPacketRate: 5,
qosRtt: 100,
limitMaxConnections: 5000,
limitMaxConnectionsStatus: "enabled",
limitMaxBps: 100000000,
limitMaxBpsStatus: "enabled",
minMembersUpMode: "at-least",
minMembersUpValue: 2,
members: [
{
name: "server1:/Common/vs_app",
enabled: true,
ratio: 2,
memberOrder: 0,
monitor: "default",
limitMaxConnections: 2000,
limitMaxConnectionsStatus: "enabled",
},
{
name: "server2:/Common/vs_app",
enabled: true,
ratio: 1,
memberOrder: 1,
},
],
});
import pulumi
import pulumi_f5bigip as f5bigip
advanced = f5bigip.GtmPool("advanced",
name="advanced_pool",
type="a",
partition="Common",
load_balancing_mode="round-robin",
alternate_mode="topology",
fallback_mode="return-to-dns",
fallback_ip="192.0.2.1",
max_answers_returned=2,
ttl=60,
monitor="/Common/https",
verify_member_availability="enabled",
qos_hit_ratio=10,
qos_hops=5,
qos_kilobytes_second=5,
qos_lcs=50,
qos_packet_rate=5,
qos_rtt=100,
limit_max_connections=5000,
limit_max_connections_status="enabled",
limit_max_bps=100000000,
limit_max_bps_status="enabled",
min_members_up_mode="at-least",
min_members_up_value=2,
members=[
{
"name": "server1:/Common/vs_app",
"enabled": True,
"ratio": 2,
"member_order": 0,
"monitor": "default",
"limit_max_connections": 2000,
"limit_max_connections_status": "enabled",
},
{
"name": "server2:/Common/vs_app",
"enabled": True,
"ratio": 1,
"member_order": 1,
},
])
package main
import (
"github.com/pulumi/pulumi-f5bigip/sdk/v3/go/f5bigip"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := f5bigip.NewGtmPool(ctx, "advanced", &f5bigip.GtmPoolArgs{
Name: pulumi.String("advanced_pool"),
Type: pulumi.String("a"),
Partition: pulumi.String("Common"),
LoadBalancingMode: pulumi.String("round-robin"),
AlternateMode: pulumi.String("topology"),
FallbackMode: pulumi.String("return-to-dns"),
FallbackIp: pulumi.String("192.0.2.1"),
MaxAnswersReturned: pulumi.Int(2),
Ttl: pulumi.Int(60),
Monitor: pulumi.String("/Common/https"),
VerifyMemberAvailability: pulumi.String("enabled"),
QosHitRatio: pulumi.Int(10),
QosHops: pulumi.Int(5),
QosKilobytesSecond: pulumi.Int(5),
QosLcs: pulumi.Int(50),
QosPacketRate: pulumi.Int(5),
QosRtt: pulumi.Int(100),
LimitMaxConnections: pulumi.Int(5000),
LimitMaxConnectionsStatus: pulumi.String("enabled"),
LimitMaxBps: pulumi.Int(100000000),
LimitMaxBpsStatus: pulumi.String("enabled"),
MinMembersUpMode: pulumi.String("at-least"),
MinMembersUpValue: pulumi.Int(2),
Members: f5bigip.GtmPoolMemberArray{
&f5bigip.GtmPoolMemberArgs{
Name: pulumi.String("server1:/Common/vs_app"),
Enabled: pulumi.Bool(true),
Ratio: pulumi.Int(2),
MemberOrder: pulumi.Int(0),
Monitor: pulumi.String("default"),
LimitMaxConnections: pulumi.Int(2000),
LimitMaxConnectionsStatus: pulumi.String("enabled"),
},
&f5bigip.GtmPoolMemberArgs{
Name: pulumi.String("server2:/Common/vs_app"),
Enabled: pulumi.Bool(true),
Ratio: pulumi.Int(1),
MemberOrder: pulumi.Int(1),
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using F5BigIP = Pulumi.F5BigIP;
return await Deployment.RunAsync(() =>
{
var advanced = new F5BigIP.GtmPool("advanced", new()
{
Name = "advanced_pool",
Type = "a",
Partition = "Common",
LoadBalancingMode = "round-robin",
AlternateMode = "topology",
FallbackMode = "return-to-dns",
FallbackIp = "192.0.2.1",
MaxAnswersReturned = 2,
Ttl = 60,
Monitor = "/Common/https",
VerifyMemberAvailability = "enabled",
QosHitRatio = 10,
QosHops = 5,
QosKilobytesSecond = 5,
QosLcs = 50,
QosPacketRate = 5,
QosRtt = 100,
LimitMaxConnections = 5000,
LimitMaxConnectionsStatus = "enabled",
LimitMaxBps = 100000000,
LimitMaxBpsStatus = "enabled",
MinMembersUpMode = "at-least",
MinMembersUpValue = 2,
Members = new[]
{
new F5BigIP.Inputs.GtmPoolMemberArgs
{
Name = "server1:/Common/vs_app",
Enabled = true,
Ratio = 2,
MemberOrder = 0,
Monitor = "default",
LimitMaxConnections = 2000,
LimitMaxConnectionsStatus = "enabled",
},
new F5BigIP.Inputs.GtmPoolMemberArgs
{
Name = "server2:/Common/vs_app",
Enabled = true,
Ratio = 1,
MemberOrder = 1,
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.f5bigip.GtmPool;
import com.pulumi.f5bigip.GtmPoolArgs;
import com.pulumi.f5bigip.inputs.GtmPoolMemberArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var advanced = new GtmPool("advanced", GtmPoolArgs.builder()
.name("advanced_pool")
.type("a")
.partition("Common")
.loadBalancingMode("round-robin")
.alternateMode("topology")
.fallbackMode("return-to-dns")
.fallbackIp("192.0.2.1")
.maxAnswersReturned(2)
.ttl(60)
.monitor("/Common/https")
.verifyMemberAvailability("enabled")
.qosHitRatio(10)
.qosHops(5)
.qosKilobytesSecond(5)
.qosLcs(50)
.qosPacketRate(5)
.qosRtt(100)
.limitMaxConnections(5000)
.limitMaxConnectionsStatus("enabled")
.limitMaxBps(100000000)
.limitMaxBpsStatus("enabled")
.minMembersUpMode("at-least")
.minMembersUpValue(2)
.members(
GtmPoolMemberArgs.builder()
.name("server1:/Common/vs_app")
.enabled(true)
.ratio(2)
.memberOrder(0)
.monitor("default")
.limitMaxConnections(2000)
.limitMaxConnectionsStatus("enabled")
.build(),
GtmPoolMemberArgs.builder()
.name("server2:/Common/vs_app")
.enabled(true)
.ratio(1)
.memberOrder(1)
.build())
.build());
}
}
resources:
advanced:
type: f5bigip:GtmPool
properties:
name: advanced_pool
type: a
partition: Common
loadBalancingMode: round-robin
alternateMode: topology
fallbackMode: return-to-dns
fallbackIp: 192.0.2.1
maxAnswersReturned: 2
ttl: 60 # Monitoring
monitor: /Common/https
verifyMemberAvailability: enabled
qosHitRatio: 10
qosHops: 5
qosKilobytesSecond: 5
qosLcs: 50
qosPacketRate: 5
qosRtt: 100 # Connection limits
limitMaxConnections: 5000
limitMaxConnectionsStatus: enabled
limitMaxBps: 1e+08
limitMaxBpsStatus: enabled
minMembersUpMode: at-least
minMembersUpValue: 2
members:
- name: server1:/Common/vs_app
enabled: true
ratio: 2
memberOrder: 0
monitor: default
limitMaxConnections: 2000
limitMaxConnectionsStatus: enabled
- name: server2:/Common/vs_app
enabled: true
ratio: 1
memberOrder: 1
Notes
Pool Member Name Format
Pool members must be specified in the format: <server_name>:<virtual_server_name>
Examples:
server1:/Common/vs_app- References virtual servervs_appon serverserver1dc1_server:/Prod/app_vs- References virtual serverapp_vsin partitionProdon serverdc1_server
The server and virtual server must already exist in the GTM configuration.
Load Balancing Modes
The load_balancing_mode determines how GTM distributes DNS queries across pool members:
- round-robin: Distributes queries equally across all available members
- ratio: Distributes queries based on member ratios
- topology: Uses topology records to determine the best member
- global-availability: Considers member availability and load
- virtual-server-capacity: Based on virtual server capacity
- least-connections: Selects member with fewest active connections
- lowest-round-trip-time: Selects member with lowest RTT
- fewest-hops: Selects member with fewest network hops
- packet-rate: Based on packet transmission rate
- cpu: Based on CPU utilization
- completion-rate: Based on connection completion rate
- quality-of-service: Based on QoS metrics
- kilobytes-per-second: Based on throughput
- dynamic-ratio: Dynamically adjusts member ratios
- drop-packet: Drops DNS packets (used for testing)
- fallback-ip: Returns a fallback IP address
- virtual-server-score: Based on virtual server scores
QoS Weights
QoS (Quality of Service) weights are used when the load balancing mode is set to quality-of-service. Higher weights give more importance to specific metrics:
- qos_hit_ratio: Cache hit ratio
- qos_hops: Number of router hops
- qos_kilobytes_second: Data throughput
- qos_lcs: Link capacity score
- qos_packet_rate: Packet transmission rate
- qos_rtt: Round trip time
- qos_topology: Topology distance
- qos_vs_capacity: Virtual server capacity
- qos_vs_score: Virtual server score
Connection Limits
Connection limits can be set at both the pool level and individual member level:
- Pool-level limits apply to the entire pool
- Member-level limits apply to individual members
- Both limits must have their corresponding
_statusfield set toenabledto take effect
Minimum Members
The min_members_up_mode and min_members_up_value work together:
- off: No minimum requirement
- at-least: At least
min_members_up_valuemembers must be up - percent: At least
min_members_up_valuepercent of members must be up
Example: If you have 5 members and set min_members_up_mode </span>= "at-least" and min_members_up_value </span>= 2, the pool will be marked down if fewer than 2 members are available.
API Endpoints
This resource interacts with the following BIG-IP API endpoints:
GET /mgmt/tm/gtm/pool/<type>/<name>?expandSubcollections=true- Read pool configurationPOST /mgmt/tm/gtm/pool/<type>- Create poolPUT /mgmt/tm/gtm/pool/<type>/<name>- Update pool configurationDELETE /mgmt/tm/gtm/pool/<type>/<name>- Delete pool
Related Resources
f5bigip.GtmWideip- Manages GTM WideIPs that reference poolsf5bigip.GtmServer- Manages GTM servers that contain virtual serversf5bigip.GtmDatacenter- Manages GTM data centersbigip_gtm_monitor- Manages GTM health monitors
Create GtmPool Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new GtmPool(name: string, args: GtmPoolArgs, opts?: CustomResourceOptions);@overload
def GtmPool(resource_name: str,
args: GtmPoolArgs,
opts: Optional[ResourceOptions] = None)
@overload
def GtmPool(resource_name: str,
opts: Optional[ResourceOptions] = None,
name: Optional[str] = None,
type: Optional[str] = None,
min_members_up_mode: Optional[str] = None,
monitor: Optional[str] = None,
fallback_ip: Optional[str] = None,
fallback_mode: Optional[str] = None,
limit_max_bps: Optional[int] = None,
limit_max_bps_status: Optional[str] = None,
limit_max_connections: Optional[int] = None,
limit_max_connections_status: Optional[str] = None,
limit_max_pps: Optional[int] = None,
limit_max_pps_status: Optional[str] = None,
load_balancing_mode: Optional[str] = None,
manual_resume: Optional[str] = None,
max_answers_returned: Optional[int] = None,
members: Optional[Sequence[GtmPoolMemberArgs]] = None,
enabled: Optional[bool] = None,
alternate_mode: Optional[str] = None,
partition: Optional[str] = None,
dynamic_ratio: Optional[str] = None,
min_members_up_value: Optional[int] = None,
qos_hit_ratio: Optional[int] = None,
qos_hops: Optional[int] = None,
qos_kilobytes_second: Optional[int] = None,
qos_lcs: Optional[int] = None,
qos_packet_rate: Optional[int] = None,
qos_rtt: Optional[int] = None,
qos_topology: Optional[int] = None,
qos_vs_capacity: Optional[int] = None,
qos_vs_score: Optional[int] = None,
ttl: Optional[int] = None,
disabled: Optional[bool] = None,
verify_member_availability: Optional[str] = None)func NewGtmPool(ctx *Context, name string, args GtmPoolArgs, opts ...ResourceOption) (*GtmPool, error)public GtmPool(string name, GtmPoolArgs args, CustomResourceOptions? opts = null)
public GtmPool(String name, GtmPoolArgs args)
public GtmPool(String name, GtmPoolArgs args, CustomResourceOptions options)
type: f5bigip:GtmPool
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args GtmPoolArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args GtmPoolArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args GtmPoolArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args GtmPoolArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args GtmPoolArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var gtmPoolResource = new F5BigIP.GtmPool("gtmPoolResource", new()
{
Name = "string",
Type = "string",
MinMembersUpMode = "string",
Monitor = "string",
FallbackIp = "string",
FallbackMode = "string",
LimitMaxBps = 0,
LimitMaxBpsStatus = "string",
LimitMaxConnections = 0,
LimitMaxConnectionsStatus = "string",
LimitMaxPps = 0,
LimitMaxPpsStatus = "string",
LoadBalancingMode = "string",
ManualResume = "string",
MaxAnswersReturned = 0,
Members = new[]
{
new F5BigIP.Inputs.GtmPoolMemberArgs
{
Name = "string",
Disabled = false,
Enabled = false,
LimitMaxBps = 0,
LimitMaxBpsStatus = "string",
LimitMaxConnections = 0,
LimitMaxConnectionsStatus = "string",
LimitMaxPps = 0,
LimitMaxPpsStatus = "string",
MemberOrder = 0,
Monitor = "string",
Ratio = 0,
},
},
Enabled = false,
AlternateMode = "string",
Partition = "string",
DynamicRatio = "string",
MinMembersUpValue = 0,
QosHitRatio = 0,
QosHops = 0,
QosKilobytesSecond = 0,
QosLcs = 0,
QosPacketRate = 0,
QosRtt = 0,
QosTopology = 0,
QosVsCapacity = 0,
QosVsScore = 0,
Ttl = 0,
Disabled = false,
VerifyMemberAvailability = "string",
});
example, err := f5bigip.NewGtmPool(ctx, "gtmPoolResource", &f5bigip.GtmPoolArgs{
Name: pulumi.String("string"),
Type: pulumi.String("string"),
MinMembersUpMode: pulumi.String("string"),
Monitor: pulumi.String("string"),
FallbackIp: pulumi.String("string"),
FallbackMode: pulumi.String("string"),
LimitMaxBps: pulumi.Int(0),
LimitMaxBpsStatus: pulumi.String("string"),
LimitMaxConnections: pulumi.Int(0),
LimitMaxConnectionsStatus: pulumi.String("string"),
LimitMaxPps: pulumi.Int(0),
LimitMaxPpsStatus: pulumi.String("string"),
LoadBalancingMode: pulumi.String("string"),
ManualResume: pulumi.String("string"),
MaxAnswersReturned: pulumi.Int(0),
Members: f5bigip.GtmPoolMemberArray{
&f5bigip.GtmPoolMemberArgs{
Name: pulumi.String("string"),
Disabled: pulumi.Bool(false),
Enabled: pulumi.Bool(false),
LimitMaxBps: pulumi.Int(0),
LimitMaxBpsStatus: pulumi.String("string"),
LimitMaxConnections: pulumi.Int(0),
LimitMaxConnectionsStatus: pulumi.String("string"),
LimitMaxPps: pulumi.Int(0),
LimitMaxPpsStatus: pulumi.String("string"),
MemberOrder: pulumi.Int(0),
Monitor: pulumi.String("string"),
Ratio: pulumi.Int(0),
},
},
Enabled: pulumi.Bool(false),
AlternateMode: pulumi.String("string"),
Partition: pulumi.String("string"),
DynamicRatio: pulumi.String("string"),
MinMembersUpValue: pulumi.Int(0),
QosHitRatio: pulumi.Int(0),
QosHops: pulumi.Int(0),
QosKilobytesSecond: pulumi.Int(0),
QosLcs: pulumi.Int(0),
QosPacketRate: pulumi.Int(0),
QosRtt: pulumi.Int(0),
QosTopology: pulumi.Int(0),
QosVsCapacity: pulumi.Int(0),
QosVsScore: pulumi.Int(0),
Ttl: pulumi.Int(0),
Disabled: pulumi.Bool(false),
VerifyMemberAvailability: pulumi.String("string"),
})
var gtmPoolResource = new GtmPool("gtmPoolResource", GtmPoolArgs.builder()
.name("string")
.type("string")
.minMembersUpMode("string")
.monitor("string")
.fallbackIp("string")
.fallbackMode("string")
.limitMaxBps(0)
.limitMaxBpsStatus("string")
.limitMaxConnections(0)
.limitMaxConnectionsStatus("string")
.limitMaxPps(0)
.limitMaxPpsStatus("string")
.loadBalancingMode("string")
.manualResume("string")
.maxAnswersReturned(0)
.members(GtmPoolMemberArgs.builder()
.name("string")
.disabled(false)
.enabled(false)
.limitMaxBps(0)
.limitMaxBpsStatus("string")
.limitMaxConnections(0)
.limitMaxConnectionsStatus("string")
.limitMaxPps(0)
.limitMaxPpsStatus("string")
.memberOrder(0)
.monitor("string")
.ratio(0)
.build())
.enabled(false)
.alternateMode("string")
.partition("string")
.dynamicRatio("string")
.minMembersUpValue(0)
.qosHitRatio(0)
.qosHops(0)
.qosKilobytesSecond(0)
.qosLcs(0)
.qosPacketRate(0)
.qosRtt(0)
.qosTopology(0)
.qosVsCapacity(0)
.qosVsScore(0)
.ttl(0)
.disabled(false)
.verifyMemberAvailability("string")
.build());
gtm_pool_resource = f5bigip.GtmPool("gtmPoolResource",
name="string",
type="string",
min_members_up_mode="string",
monitor="string",
fallback_ip="string",
fallback_mode="string",
limit_max_bps=0,
limit_max_bps_status="string",
limit_max_connections=0,
limit_max_connections_status="string",
limit_max_pps=0,
limit_max_pps_status="string",
load_balancing_mode="string",
manual_resume="string",
max_answers_returned=0,
members=[{
"name": "string",
"disabled": False,
"enabled": False,
"limit_max_bps": 0,
"limit_max_bps_status": "string",
"limit_max_connections": 0,
"limit_max_connections_status": "string",
"limit_max_pps": 0,
"limit_max_pps_status": "string",
"member_order": 0,
"monitor": "string",
"ratio": 0,
}],
enabled=False,
alternate_mode="string",
partition="string",
dynamic_ratio="string",
min_members_up_value=0,
qos_hit_ratio=0,
qos_hops=0,
qos_kilobytes_second=0,
qos_lcs=0,
qos_packet_rate=0,
qos_rtt=0,
qos_topology=0,
qos_vs_capacity=0,
qos_vs_score=0,
ttl=0,
disabled=False,
verify_member_availability="string")
const gtmPoolResource = new f5bigip.GtmPool("gtmPoolResource", {
name: "string",
type: "string",
minMembersUpMode: "string",
monitor: "string",
fallbackIp: "string",
fallbackMode: "string",
limitMaxBps: 0,
limitMaxBpsStatus: "string",
limitMaxConnections: 0,
limitMaxConnectionsStatus: "string",
limitMaxPps: 0,
limitMaxPpsStatus: "string",
loadBalancingMode: "string",
manualResume: "string",
maxAnswersReturned: 0,
members: [{
name: "string",
disabled: false,
enabled: false,
limitMaxBps: 0,
limitMaxBpsStatus: "string",
limitMaxConnections: 0,
limitMaxConnectionsStatus: "string",
limitMaxPps: 0,
limitMaxPpsStatus: "string",
memberOrder: 0,
monitor: "string",
ratio: 0,
}],
enabled: false,
alternateMode: "string",
partition: "string",
dynamicRatio: "string",
minMembersUpValue: 0,
qosHitRatio: 0,
qosHops: 0,
qosKilobytesSecond: 0,
qosLcs: 0,
qosPacketRate: 0,
qosRtt: 0,
qosTopology: 0,
qosVsCapacity: 0,
qosVsScore: 0,
ttl: 0,
disabled: false,
verifyMemberAvailability: "string",
});
type: f5bigip:GtmPool
properties:
alternateMode: string
disabled: false
dynamicRatio: string
enabled: false
fallbackIp: string
fallbackMode: string
limitMaxBps: 0
limitMaxBpsStatus: string
limitMaxConnections: 0
limitMaxConnectionsStatus: string
limitMaxPps: 0
limitMaxPpsStatus: string
loadBalancingMode: string
manualResume: string
maxAnswersReturned: 0
members:
- disabled: false
enabled: false
limitMaxBps: 0
limitMaxBpsStatus: string
limitMaxConnections: 0
limitMaxConnectionsStatus: string
limitMaxPps: 0
limitMaxPpsStatus: string
memberOrder: 0
monitor: string
name: string
ratio: 0
minMembersUpMode: string
minMembersUpValue: 0
monitor: string
name: string
partition: string
qosHitRatio: 0
qosHops: 0
qosKilobytesSecond: 0
qosLcs: 0
qosPacketRate: 0
qosRtt: 0
qosTopology: 0
qosVsCapacity: 0
qosVsScore: 0
ttl: 0
type: string
verifyMemberAvailability: string
GtmPool Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The GtmPool resource accepts the following input properties:
- Name string
- Name of the GTM pool
- Type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- Alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- Disabled bool
- Disabled state of the pool
- Dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- Enabled bool
- Enable or disable the pool
- Fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- Fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- Limit
Max intBps - Specifies the maximum allowable data throughput rate in bits per second
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option
- Limit
Max intConnections - Specifies the maximum number of concurrent connections
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option
- Load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- Manual
Resume string - Specifies whether manual resume is enabled
- Max
Answers intReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- Members
List<Pulumi.
F5Big IP. Inputs. Gtm Pool Member> - Min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- Min
Members intUp Value - Specifies the minimum number of pool members that must be up
- Monitor string
- Specifies the health monitor for the pool
- Partition string
- Partition in which the pool resides
- Qos
Hit intRatio - Specifies the weight for QoS hit ratio
- Qos
Hops int - Specifies the weight for QoS hops
- Qos
Kilobytes intSecond - Specifies the weight for QoS kilobytes per second
- Qos
Lcs int - Specifies the weight for QoS link capacity
- Qos
Packet intRate - Specifies the weight for QoS packet rate
- Qos
Rtt int - Specifies the weight for QoS round trip time
- Qos
Topology int - Specifies the weight for QoS topology
- Qos
Vs intCapacity - Specifies the weight for QoS virtual server capacity
- Qos
Vs intScore - Specifies the weight for QoS virtual server score
- Ttl int
- Specifies the time to live (TTL) for the pool
- Verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- Name string
- Name of the GTM pool
- Type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- Alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- Disabled bool
- Disabled state of the pool
- Dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- Enabled bool
- Enable or disable the pool
- Fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- Fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- Limit
Max intBps - Specifies the maximum allowable data throughput rate in bits per second
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option
- Limit
Max intConnections - Specifies the maximum number of concurrent connections
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option
- Load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- Manual
Resume string - Specifies whether manual resume is enabled
- Max
Answers intReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- Members
[]Gtm
Pool Member Args - Min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- Min
Members intUp Value - Specifies the minimum number of pool members that must be up
- Monitor string
- Specifies the health monitor for the pool
- Partition string
- Partition in which the pool resides
- Qos
Hit intRatio - Specifies the weight for QoS hit ratio
- Qos
Hops int - Specifies the weight for QoS hops
- Qos
Kilobytes intSecond - Specifies the weight for QoS kilobytes per second
- Qos
Lcs int - Specifies the weight for QoS link capacity
- Qos
Packet intRate - Specifies the weight for QoS packet rate
- Qos
Rtt int - Specifies the weight for QoS round trip time
- Qos
Topology int - Specifies the weight for QoS topology
- Qos
Vs intCapacity - Specifies the weight for QoS virtual server capacity
- Qos
Vs intScore - Specifies the weight for QoS virtual server score
- Ttl int
- Specifies the time to live (TTL) for the pool
- Verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- name String
- Name of the GTM pool
- type String
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- alternate
Mode String - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled Boolean
- Disabled state of the pool
- dynamic
Ratio String - Enables or disables the dynamic ratio load balancing algorithm
- enabled Boolean
- Enable or disable the pool
- fallback
Ip String - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode String - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max IntegerBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max StringBps Status - Enables or disables the limit_max_bps option
- limit
Max IntegerConnections - Specifies the maximum number of concurrent connections
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option
- limit
Max IntegerPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max StringPps Status - Enables or disables the limit_max_pps option
- load
Balancing StringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume String - Specifies whether manual resume is enabled
- max
Answers IntegerReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
List<Gtm
Pool Member> - min
Members StringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members IntegerUp Value - Specifies the minimum number of pool members that must be up
- monitor String
- Specifies the health monitor for the pool
- partition String
- Partition in which the pool resides
- qos
Hit IntegerRatio - Specifies the weight for QoS hit ratio
- qos
Hops Integer - Specifies the weight for QoS hops
- qos
Kilobytes IntegerSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs Integer - Specifies the weight for QoS link capacity
- qos
Packet IntegerRate - Specifies the weight for QoS packet rate
- qos
Rtt Integer - Specifies the weight for QoS round trip time
- qos
Topology Integer - Specifies the weight for QoS topology
- qos
Vs IntegerCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs IntegerScore - Specifies the weight for QoS virtual server score
- ttl Integer
- Specifies the time to live (TTL) for the pool
- verify
Member StringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- name string
- Name of the GTM pool
- type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled boolean
- Disabled state of the pool
- dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- enabled boolean
- Enable or disable the pool
- fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max numberBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max stringBps Status - Enables or disables the limit_max_bps option
- limit
Max numberConnections - Specifies the maximum number of concurrent connections
- limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- limit
Max numberPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max stringPps Status - Enables or disables the limit_max_pps option
- load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume string - Specifies whether manual resume is enabled
- max
Answers numberReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
Gtm
Pool Member[] - min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members numberUp Value - Specifies the minimum number of pool members that must be up
- monitor string
- Specifies the health monitor for the pool
- partition string
- Partition in which the pool resides
- qos
Hit numberRatio - Specifies the weight for QoS hit ratio
- qos
Hops number - Specifies the weight for QoS hops
- qos
Kilobytes numberSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs number - Specifies the weight for QoS link capacity
- qos
Packet numberRate - Specifies the weight for QoS packet rate
- qos
Rtt number - Specifies the weight for QoS round trip time
- qos
Topology number - Specifies the weight for QoS topology
- qos
Vs numberCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs numberScore - Specifies the weight for QoS virtual server score
- ttl number
- Specifies the time to live (TTL) for the pool
- verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- name str
- Name of the GTM pool
- type str
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- alternate_
mode str - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled bool
- Disabled state of the pool
- dynamic_
ratio str - Enables or disables the dynamic ratio load balancing algorithm
- enabled bool
- Enable or disable the pool
- fallback_
ip str - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback_
mode str - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit_
max_ intbps - Specifies the maximum allowable data throughput rate in bits per second
- limit_
max_ strbps_ status - Enables or disables the limit_max_bps option
- limit_
max_ intconnections - Specifies the maximum number of concurrent connections
- limit_
max_ strconnections_ status - Enables or disables the limit_max_connections option
- limit_
max_ intpps - Specifies the maximum allowable data transfer rate in packets per second
- limit_
max_ strpps_ status - Enables or disables the limit_max_pps option
- load_
balancing_ strmode - Specifies the preferred load balancing mode for the pool
- manual_
resume str - Specifies whether manual resume is enabled
- max_
answers_ intreturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
Sequence[Gtm
Pool Member Args] - min_
members_ strup_ mode - Specifies whether the minimum number of members must be up for the pool to be active
- min_
members_ intup_ value - Specifies the minimum number of pool members that must be up
- monitor str
- Specifies the health monitor for the pool
- partition str
- Partition in which the pool resides
- qos_
hit_ intratio - Specifies the weight for QoS hit ratio
- qos_
hops int - Specifies the weight for QoS hops
- qos_
kilobytes_ intsecond - Specifies the weight for QoS kilobytes per second
- qos_
lcs int - Specifies the weight for QoS link capacity
- qos_
packet_ intrate - Specifies the weight for QoS packet rate
- qos_
rtt int - Specifies the weight for QoS round trip time
- qos_
topology int - Specifies the weight for QoS topology
- qos_
vs_ intcapacity - Specifies the weight for QoS virtual server capacity
- qos_
vs_ intscore - Specifies the weight for QoS virtual server score
- ttl int
- Specifies the time to live (TTL) for the pool
- verify_
member_ stravailability - Specifies whether the system verifies the availability of pool members before sending traffic
- name String
- Name of the GTM pool
- type String
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- alternate
Mode String - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled Boolean
- Disabled state of the pool
- dynamic
Ratio String - Enables or disables the dynamic ratio load balancing algorithm
- enabled Boolean
- Enable or disable the pool
- fallback
Ip String - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode String - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max NumberBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max StringBps Status - Enables or disables the limit_max_bps option
- limit
Max NumberConnections - Specifies the maximum number of concurrent connections
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option
- limit
Max NumberPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max StringPps Status - Enables or disables the limit_max_pps option
- load
Balancing StringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume String - Specifies whether manual resume is enabled
- max
Answers NumberReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members List<Property Map>
- min
Members StringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members NumberUp Value - Specifies the minimum number of pool members that must be up
- monitor String
- Specifies the health monitor for the pool
- partition String
- Partition in which the pool resides
- qos
Hit NumberRatio - Specifies the weight for QoS hit ratio
- qos
Hops Number - Specifies the weight for QoS hops
- qos
Kilobytes NumberSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs Number - Specifies the weight for QoS link capacity
- qos
Packet NumberRate - Specifies the weight for QoS packet rate
- qos
Rtt Number - Specifies the weight for QoS round trip time
- qos
Topology Number - Specifies the weight for QoS topology
- qos
Vs NumberCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs NumberScore - Specifies the weight for QoS virtual server score
- ttl Number
- Specifies the time to live (TTL) for the pool
- verify
Member StringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
Outputs
All input properties are implicitly available as output properties. Additionally, the GtmPool resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing GtmPool Resource
Get an existing GtmPool resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: GtmPoolState, opts?: CustomResourceOptions): GtmPool@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
alternate_mode: Optional[str] = None,
disabled: Optional[bool] = None,
dynamic_ratio: Optional[str] = None,
enabled: Optional[bool] = None,
fallback_ip: Optional[str] = None,
fallback_mode: Optional[str] = None,
limit_max_bps: Optional[int] = None,
limit_max_bps_status: Optional[str] = None,
limit_max_connections: Optional[int] = None,
limit_max_connections_status: Optional[str] = None,
limit_max_pps: Optional[int] = None,
limit_max_pps_status: Optional[str] = None,
load_balancing_mode: Optional[str] = None,
manual_resume: Optional[str] = None,
max_answers_returned: Optional[int] = None,
members: Optional[Sequence[GtmPoolMemberArgs]] = None,
min_members_up_mode: Optional[str] = None,
min_members_up_value: Optional[int] = None,
monitor: Optional[str] = None,
name: Optional[str] = None,
partition: Optional[str] = None,
qos_hit_ratio: Optional[int] = None,
qos_hops: Optional[int] = None,
qos_kilobytes_second: Optional[int] = None,
qos_lcs: Optional[int] = None,
qos_packet_rate: Optional[int] = None,
qos_rtt: Optional[int] = None,
qos_topology: Optional[int] = None,
qos_vs_capacity: Optional[int] = None,
qos_vs_score: Optional[int] = None,
ttl: Optional[int] = None,
type: Optional[str] = None,
verify_member_availability: Optional[str] = None) -> GtmPoolfunc GetGtmPool(ctx *Context, name string, id IDInput, state *GtmPoolState, opts ...ResourceOption) (*GtmPool, error)public static GtmPool Get(string name, Input<string> id, GtmPoolState? state, CustomResourceOptions? opts = null)public static GtmPool get(String name, Output<String> id, GtmPoolState state, CustomResourceOptions options)resources: _: type: f5bigip:GtmPool get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- Disabled bool
- Disabled state of the pool
- Dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- Enabled bool
- Enable or disable the pool
- Fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- Fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- Limit
Max intBps - Specifies the maximum allowable data throughput rate in bits per second
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option
- Limit
Max intConnections - Specifies the maximum number of concurrent connections
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option
- Load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- Manual
Resume string - Specifies whether manual resume is enabled
- Max
Answers intReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- Members
List<Pulumi.
F5Big IP. Inputs. Gtm Pool Member> - Min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- Min
Members intUp Value - Specifies the minimum number of pool members that must be up
- Monitor string
- Specifies the health monitor for the pool
- Name string
- Name of the GTM pool
- Partition string
- Partition in which the pool resides
- Qos
Hit intRatio - Specifies the weight for QoS hit ratio
- Qos
Hops int - Specifies the weight for QoS hops
- Qos
Kilobytes intSecond - Specifies the weight for QoS kilobytes per second
- Qos
Lcs int - Specifies the weight for QoS link capacity
- Qos
Packet intRate - Specifies the weight for QoS packet rate
- Qos
Rtt int - Specifies the weight for QoS round trip time
- Qos
Topology int - Specifies the weight for QoS topology
- Qos
Vs intCapacity - Specifies the weight for QoS virtual server capacity
- Qos
Vs intScore - Specifies the weight for QoS virtual server score
- Ttl int
- Specifies the time to live (TTL) for the pool
- Type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- Verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- Alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- Disabled bool
- Disabled state of the pool
- Dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- Enabled bool
- Enable or disable the pool
- Fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- Fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- Limit
Max intBps - Specifies the maximum allowable data throughput rate in bits per second
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option
- Limit
Max intConnections - Specifies the maximum number of concurrent connections
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option
- Load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- Manual
Resume string - Specifies whether manual resume is enabled
- Max
Answers intReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- Members
[]Gtm
Pool Member Args - Min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- Min
Members intUp Value - Specifies the minimum number of pool members that must be up
- Monitor string
- Specifies the health monitor for the pool
- Name string
- Name of the GTM pool
- Partition string
- Partition in which the pool resides
- Qos
Hit intRatio - Specifies the weight for QoS hit ratio
- Qos
Hops int - Specifies the weight for QoS hops
- Qos
Kilobytes intSecond - Specifies the weight for QoS kilobytes per second
- Qos
Lcs int - Specifies the weight for QoS link capacity
- Qos
Packet intRate - Specifies the weight for QoS packet rate
- Qos
Rtt int - Specifies the weight for QoS round trip time
- Qos
Topology int - Specifies the weight for QoS topology
- Qos
Vs intCapacity - Specifies the weight for QoS virtual server capacity
- Qos
Vs intScore - Specifies the weight for QoS virtual server score
- Ttl int
- Specifies the time to live (TTL) for the pool
- Type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- Verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- alternate
Mode String - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled Boolean
- Disabled state of the pool
- dynamic
Ratio String - Enables or disables the dynamic ratio load balancing algorithm
- enabled Boolean
- Enable or disable the pool
- fallback
Ip String - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode String - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max IntegerBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max StringBps Status - Enables or disables the limit_max_bps option
- limit
Max IntegerConnections - Specifies the maximum number of concurrent connections
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option
- limit
Max IntegerPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max StringPps Status - Enables or disables the limit_max_pps option
- load
Balancing StringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume String - Specifies whether manual resume is enabled
- max
Answers IntegerReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
List<Gtm
Pool Member> - min
Members StringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members IntegerUp Value - Specifies the minimum number of pool members that must be up
- monitor String
- Specifies the health monitor for the pool
- name String
- Name of the GTM pool
- partition String
- Partition in which the pool resides
- qos
Hit IntegerRatio - Specifies the weight for QoS hit ratio
- qos
Hops Integer - Specifies the weight for QoS hops
- qos
Kilobytes IntegerSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs Integer - Specifies the weight for QoS link capacity
- qos
Packet IntegerRate - Specifies the weight for QoS packet rate
- qos
Rtt Integer - Specifies the weight for QoS round trip time
- qos
Topology Integer - Specifies the weight for QoS topology
- qos
Vs IntegerCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs IntegerScore - Specifies the weight for QoS virtual server score
- ttl Integer
- Specifies the time to live (TTL) for the pool
- type String
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- verify
Member StringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- alternate
Mode string - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled boolean
- Disabled state of the pool
- dynamic
Ratio string - Enables or disables the dynamic ratio load balancing algorithm
- enabled boolean
- Enable or disable the pool
- fallback
Ip string - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode string - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max numberBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max stringBps Status - Enables or disables the limit_max_bps option
- limit
Max numberConnections - Specifies the maximum number of concurrent connections
- limit
Max stringConnections Status - Enables or disables the limit_max_connections option
- limit
Max numberPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max stringPps Status - Enables or disables the limit_max_pps option
- load
Balancing stringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume string - Specifies whether manual resume is enabled
- max
Answers numberReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
Gtm
Pool Member[] - min
Members stringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members numberUp Value - Specifies the minimum number of pool members that must be up
- monitor string
- Specifies the health monitor for the pool
- name string
- Name of the GTM pool
- partition string
- Partition in which the pool resides
- qos
Hit numberRatio - Specifies the weight for QoS hit ratio
- qos
Hops number - Specifies the weight for QoS hops
- qos
Kilobytes numberSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs number - Specifies the weight for QoS link capacity
- qos
Packet numberRate - Specifies the weight for QoS packet rate
- qos
Rtt number - Specifies the weight for QoS round trip time
- qos
Topology number - Specifies the weight for QoS topology
- qos
Vs numberCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs numberScore - Specifies the weight for QoS virtual server score
- ttl number
- Specifies the time to live (TTL) for the pool
- type string
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- verify
Member stringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
- alternate_
mode str - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled bool
- Disabled state of the pool
- dynamic_
ratio str - Enables or disables the dynamic ratio load balancing algorithm
- enabled bool
- Enable or disable the pool
- fallback_
ip str - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback_
mode str - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit_
max_ intbps - Specifies the maximum allowable data throughput rate in bits per second
- limit_
max_ strbps_ status - Enables or disables the limit_max_bps option
- limit_
max_ intconnections - Specifies the maximum number of concurrent connections
- limit_
max_ strconnections_ status - Enables or disables the limit_max_connections option
- limit_
max_ intpps - Specifies the maximum allowable data transfer rate in packets per second
- limit_
max_ strpps_ status - Enables or disables the limit_max_pps option
- load_
balancing_ strmode - Specifies the preferred load balancing mode for the pool
- manual_
resume str - Specifies whether manual resume is enabled
- max_
answers_ intreturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members
Sequence[Gtm
Pool Member Args] - min_
members_ strup_ mode - Specifies whether the minimum number of members must be up for the pool to be active
- min_
members_ intup_ value - Specifies the minimum number of pool members that must be up
- monitor str
- Specifies the health monitor for the pool
- name str
- Name of the GTM pool
- partition str
- Partition in which the pool resides
- qos_
hit_ intratio - Specifies the weight for QoS hit ratio
- qos_
hops int - Specifies the weight for QoS hops
- qos_
kilobytes_ intsecond - Specifies the weight for QoS kilobytes per second
- qos_
lcs int - Specifies the weight for QoS link capacity
- qos_
packet_ intrate - Specifies the weight for QoS packet rate
- qos_
rtt int - Specifies the weight for QoS round trip time
- qos_
topology int - Specifies the weight for QoS topology
- qos_
vs_ intcapacity - Specifies the weight for QoS virtual server capacity
- qos_
vs_ intscore - Specifies the weight for QoS virtual server score
- ttl int
- Specifies the time to live (TTL) for the pool
- type str
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- verify_
member_ stravailability - Specifies whether the system verifies the availability of pool members before sending traffic
- alternate
Mode String - Specifies the load balancing mode to use if the preferred and alternate modes are unsuccessful
- disabled Boolean
- Disabled state of the pool
- dynamic
Ratio String - Enables or disables the dynamic ratio load balancing algorithm
- enabled Boolean
- Enable or disable the pool
- fallback
Ip String - Specifies the IPv4 or IPv6 address of the server to which the system directs requests when it cannot use one of its pools
- fallback
Mode String - Specifies the load balancing mode that the system uses if the pool's preferred and alternate modes are unsuccessful
- limit
Max NumberBps - Specifies the maximum allowable data throughput rate in bits per second
- limit
Max StringBps Status - Enables or disables the limit_max_bps option
- limit
Max NumberConnections - Specifies the maximum number of concurrent connections
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option
- limit
Max NumberPps - Specifies the maximum allowable data transfer rate in packets per second
- limit
Max StringPps Status - Enables or disables the limit_max_pps option
- load
Balancing StringMode - Specifies the preferred load balancing mode for the pool
- manual
Resume String - Specifies whether manual resume is enabled
- max
Answers NumberReturned - Specifies the maximum number of available virtual servers that the system lists in a response
- members List<Property Map>
- min
Members StringUp Mode - Specifies whether the minimum number of members must be up for the pool to be active
- min
Members NumberUp Value - Specifies the minimum number of pool members that must be up
- monitor String
- Specifies the health monitor for the pool
- name String
- Name of the GTM pool
- partition String
- Partition in which the pool resides
- qos
Hit NumberRatio - Specifies the weight for QoS hit ratio
- qos
Hops Number - Specifies the weight for QoS hops
- qos
Kilobytes NumberSecond - Specifies the weight for QoS kilobytes per second
- qos
Lcs Number - Specifies the weight for QoS link capacity
- qos
Packet NumberRate - Specifies the weight for QoS packet rate
- qos
Rtt Number - Specifies the weight for QoS round trip time
- qos
Topology Number - Specifies the weight for QoS topology
- qos
Vs NumberCapacity - Specifies the weight for QoS virtual server capacity
- qos
Vs NumberScore - Specifies the weight for QoS virtual server score
- ttl Number
- Specifies the time to live (TTL) for the pool
- type String
- Type of GTM pool (a, aaaa, cname, mx, naptr, srv)
- verify
Member StringAvailability - Specifies whether the system verifies the availability of pool members before sending traffic
Supporting Types
GtmPoolMember, GtmPoolMemberArgs
- Name string
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- Disabled bool
- Disabled state of the pool member
- Enabled bool
- Enable or disable the pool member
- Limit
Max intBps - Specifies the maximum allowable data throughput rate for this member
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option for this member
- Limit
Max intConnections - Specifies the maximum number of concurrent connections for this member
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option for this member
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second for this member
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option for this member
- Member
Order int - Specifies the order in which the member will be used
- Monitor string
- Specifies the health monitor for this pool member
- Ratio int
- Specifies the weight of the pool member for load balancing
- Name string
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- Disabled bool
- Disabled state of the pool member
- Enabled bool
- Enable or disable the pool member
- Limit
Max intBps - Specifies the maximum allowable data throughput rate for this member
- Limit
Max stringBps Status - Enables or disables the limit_max_bps option for this member
- Limit
Max intConnections - Specifies the maximum number of concurrent connections for this member
- Limit
Max stringConnections Status - Enables or disables the limit_max_connections option for this member
- Limit
Max intPps - Specifies the maximum allowable data transfer rate in packets per second for this member
- Limit
Max stringPps Status - Enables or disables the limit_max_pps option for this member
- Member
Order int - Specifies the order in which the member will be used
- Monitor string
- Specifies the health monitor for this pool member
- Ratio int
- Specifies the weight of the pool member for load balancing
- name String
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- disabled Boolean
- Disabled state of the pool member
- enabled Boolean
- Enable or disable the pool member
- limit
Max IntegerBps - Specifies the maximum allowable data throughput rate for this member
- limit
Max StringBps Status - Enables or disables the limit_max_bps option for this member
- limit
Max IntegerConnections - Specifies the maximum number of concurrent connections for this member
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option for this member
- limit
Max IntegerPps - Specifies the maximum allowable data transfer rate in packets per second for this member
- limit
Max StringPps Status - Enables or disables the limit_max_pps option for this member
- member
Order Integer - Specifies the order in which the member will be used
- monitor String
- Specifies the health monitor for this pool member
- ratio Integer
- Specifies the weight of the pool member for load balancing
- name string
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- disabled boolean
- Disabled state of the pool member
- enabled boolean
- Enable or disable the pool member
- limit
Max numberBps - Specifies the maximum allowable data throughput rate for this member
- limit
Max stringBps Status - Enables or disables the limit_max_bps option for this member
- limit
Max numberConnections - Specifies the maximum number of concurrent connections for this member
- limit
Max stringConnections Status - Enables or disables the limit_max_connections option for this member
- limit
Max numberPps - Specifies the maximum allowable data transfer rate in packets per second for this member
- limit
Max stringPps Status - Enables or disables the limit_max_pps option for this member
- member
Order number - Specifies the order in which the member will be used
- monitor string
- Specifies the health monitor for this pool member
- ratio number
- Specifies the weight of the pool member for load balancing
- name str
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- disabled bool
- Disabled state of the pool member
- enabled bool
- Enable or disable the pool member
- limit_
max_ intbps - Specifies the maximum allowable data throughput rate for this member
- limit_
max_ strbps_ status - Enables or disables the limit_max_bps option for this member
- limit_
max_ intconnections - Specifies the maximum number of concurrent connections for this member
- limit_
max_ strconnections_ status - Enables or disables the limit_max_connections option for this member
- limit_
max_ intpps - Specifies the maximum allowable data transfer rate in packets per second for this member
- limit_
max_ strpps_ status - Enables or disables the limit_max_pps option for this member
- member_
order int - Specifies the order in which the member will be used
- monitor str
- Specifies the health monitor for this pool member
- ratio int
- Specifies the weight of the pool member for load balancing
- name String
- Name of the pool member (format: <server_name>:<virtual_server_name>)
- disabled Boolean
- Disabled state of the pool member
- enabled Boolean
- Enable or disable the pool member
- limit
Max NumberBps - Specifies the maximum allowable data throughput rate for this member
- limit
Max StringBps Status - Enables or disables the limit_max_bps option for this member
- limit
Max NumberConnections - Specifies the maximum number of concurrent connections for this member
- limit
Max StringConnections Status - Enables or disables the limit_max_connections option for this member
- limit
Max NumberPps - Specifies the maximum allowable data transfer rate in packets per second for this member
- limit
Max StringPps Status - Enables or disables the limit_max_pps option for this member
- member
Order Number - Specifies the order in which the member will be used
- monitor String
- Specifies the health monitor for this pool member
- ratio Number
- Specifies the weight of the pool member for load balancing
Import
GTM Pool resources can be imported using the format /<partition>/<name>:<type>. For example:
$ pulumi import f5bigip:index/gtmPool:GtmPool example /Common/my_pool:a
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- f5 BIG-IP pulumi/pulumi-f5bigip
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
bigipTerraform Provider.
published on Wednesday, Mar 4, 2026 by Pulumi
